Update a resource (partial)
curl --request PUT \
--url https://aquila.attaxr.com/api/leads/{id} \
--header 'Content-Type: application/json' \
--cookie better-auth.session_token= \
--data '{}'const options = {
method: 'PUT',
headers: {cookie: 'better-auth.session_token=', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://aquila.attaxr.com/api/leads/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://aquila.attaxr.com/api/leads/{id}"
payload = {}
headers = {
"cookie": "better-auth.session_token=",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"userId": "<string>",
"assetKey": "<string>",
"metadata": {},
"type": "other",
"title": "<string>",
"description": "",
"priority": "medium",
"status": "new",
"createdAt": "<unknown>",
"updatedAt": "<unknown>",
"_id": "<string>",
"assetType": "<string>",
"assetValue": "<string>",
"scanId": "<string>",
"category": "<string>",
"interestScore": 0.5,
"confidence": 0.5,
"recommendedAction": "<string>",
"analysis": "<string>",
"technologies": [
{}
],
"notableObservations": [
"<string>"
],
"relationships": [
"<string>"
],
"whyInteresting": "<string>",
"potentialVulnerabilities": [
{}
],
"recommendedTools": [
{}
],
"architectureMermaid": "<string>",
"chainingOpportunities": [
{}
],
"endpoints": [
{}
],
"insights": [
{}
],
"cves": [
{
"id": "<string>",
"technology": "<string>",
"version": "<string>",
"description": "<string>",
"cvssScore": 123,
"cvssSeverity": "CRITICAL",
"publishedAt": "<string>",
"references": [
"<string>"
]
}
],
"classifiedAt": "<unknown>",
"lastAnalysisAt": "<unknown>",
"reconVersion": 4503599627370495,
"response": "<string>",
"changedResponse": "<string>",
"lastFetchedAt": "<unknown>",
"jsRecon": {},
"jsReconAnalyzedAt": "<unknown>",
"lastNotifiedJsBodyHash": "<string>",
"lastNotifiedJsAt": "<unknown>"
}{
"error": "<string>",
"details": "<unknown>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Leads
Update a resource (partial)
Partial merge update; id and userId in the body are ignored (owner scoping comes from the session).
PUT
/
api
/
leads
/
{id}
Update a resource (partial)
curl --request PUT \
--url https://aquila.attaxr.com/api/leads/{id} \
--header 'Content-Type: application/json' \
--cookie better-auth.session_token= \
--data '{}'const options = {
method: 'PUT',
headers: {cookie: 'better-auth.session_token=', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://aquila.attaxr.com/api/leads/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://aquila.attaxr.com/api/leads/{id}"
payload = {}
headers = {
"cookie": "better-auth.session_token=",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"userId": "<string>",
"assetKey": "<string>",
"metadata": {},
"type": "other",
"title": "<string>",
"description": "",
"priority": "medium",
"status": "new",
"createdAt": "<unknown>",
"updatedAt": "<unknown>",
"_id": "<string>",
"assetType": "<string>",
"assetValue": "<string>",
"scanId": "<string>",
"category": "<string>",
"interestScore": 0.5,
"confidence": 0.5,
"recommendedAction": "<string>",
"analysis": "<string>",
"technologies": [
{}
],
"notableObservations": [
"<string>"
],
"relationships": [
"<string>"
],
"whyInteresting": "<string>",
"potentialVulnerabilities": [
{}
],
"recommendedTools": [
{}
],
"architectureMermaid": "<string>",
"chainingOpportunities": [
{}
],
"endpoints": [
{}
],
"insights": [
{}
],
"cves": [
{
"id": "<string>",
"technology": "<string>",
"version": "<string>",
"description": "<string>",
"cvssScore": 123,
"cvssSeverity": "CRITICAL",
"publishedAt": "<string>",
"references": [
"<string>"
]
}
],
"classifiedAt": "<unknown>",
"lastAnalysisAt": "<unknown>",
"reconVersion": 4503599627370495,
"response": "<string>",
"changedResponse": "<string>",
"lastFetchedAt": "<unknown>",
"jsRecon": {},
"jsReconAnalyzedAt": "<unknown>",
"lastNotifiedJsBodyHash": "<string>",
"lastNotifiedJsAt": "<unknown>"
}{
"error": "<string>",
"details": "<unknown>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
apiKeyCookieapiKeyHeaderbearerAuth
Browser session cookie set by Better Auth sign-in.
Path Parameters
Body
application/json
Show child attributes
Show child attributes
Required range:
0 <= x <= 1Required range:
0 <= x <= 1Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Required range:
0 <= x <= 9007199254740991Show child attributes
Show child attributes
Available options:
authorization_issue, api_endpoint, auth_workflow, sensitive_functionality, business_logic_concern, other Available options:
low, medium, high, critical Available options:
new, analyzing, investigating, validating, closed Response
The updated resource.
Show child attributes
Show child attributes
Available options:
authorization_issue, api_endpoint, auth_workflow, sensitive_functionality, business_logic_concern, other Available options:
low, medium, high, critical Available options:
new, analyzing, investigating, validating, closed Required range:
0 <= x <= 1Required range:
0 <= x <= 1Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Required range:
0 <= x <= 9007199254740991Show child attributes
Show child attributes

